import { getHighlighter } from 'shikiji';
export const shikiPlugin = ({ langs, theme = 'nord', themes, } = {}) => ({
    name: '@vuepress/plugin-shiki',
    extendsMarkdown: async (md) => {
        const highlighter = await getHighlighter({
            langs,
            themes: themes ? [themes.dark, themes.light] : [theme],
        });
        md.options.highlight = (code, lang) => highlighter.codeToHtml(code, {
            lang,
            ...(themes ? { themes } : { theme }),
        });
    },
});
